i can't find compatible itunes for my ibook t

October 15, 2011 at 05:12:00
Specs: Macintosh
i have an old version of ipod shuffle it reqiures an itunes 7.2 bt this is no longer available for download is itunes 7.4 compatible for tiger os x v10.4?

See More: i cant find compatible itunes for my ibook t

Report •

#1
October 16, 2011 at 12:23:40
The latest iTunes available for G3 running Tiger 10.4 is 8.2.1:

http://appldnld.apple.com.edgesuite.net/content.info.apple.com/iTunes8/061-6715.20090715.cfR54/iTunes8.2.1.dmg

The latest iTunes available for G4, G5 and Intel running Tiger 10.4 is 9.2.1:

http://appldnld.apple.com/iTunes9/061-8725.20100722.Bhnyt/iTunes9.2.1.dmg

Note that 8.2.1 requires at least 10.4.10, and 9.2.1 requires at least 10.4.11 (Intel or PowerPC).

As you can see it depends on your machine, you did not say what machine you have.

iMac G5 1.8GHz PPC, 2GB RAM, 160GB, Mac OS X Leopard 10.5.8, SuperDrive

http://sdfox7.com


Report •
Related Solutions


Ask Question